toolzerhub API Docs

Get profile

Get a RedNote user's public profile, account counts, and note tabs. data: null means profile content was unavailable.

15 credits / requestBilled only on success
GET
/v1/rednote/profiles/info

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

user_id*string

User ID from a feed or note card.

xsec_token*string

Token from the same card as user_id.

curl -X GET "https://example.com/v1/rednote/profiles/info?user_id=5f1a2b3c4d5e6f708192a3b4&xsec_token=AB1cd2EF3gh4IJ5kl6MN7op8QR9st0UV_wxyz1234567890AB%3D%3D" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "user_id": "5f1a2b3c4d5e6f708192a3b4",    "nickname": "Ada",    "red_id": "5696227057",    "gender": 0,    "ip_location": "上海",    "desc": "string",    "avatar_url": "string",    "follower_count": {      "raw": "10万+",      "value": 100000,      "approx": true    },    "following_count": {      "raw": "10万+",      "value": 100000,      "approx": true    },    "likes_collected_count": {      "raw": "10万+",      "value": 100000,      "approx": true    },    "tabs": [      [        {          "id": "string",          "xsec_token": "string",          "title": "string",          "cover_url": "string",          "liked_count": {            "raw": "10万+",            "value": 100000,            "approx": true          }        }      ]    ]  }}